﻿Imports Microsoft.VisualBasic
Imports System.Runtime.Serialization
Imports System

Namespace PeerWcfComm
	''' <summary>
	''' Definition of a unit of work for the system.
	''' For demonstration purposes, "work" is merely
	''' sleeping the amount specified in PretendToWorkSeconds.
	''' </summary>
	<DataContract> _
	Public Class WorkItem
		Private privateWorkItemId As Guid
		<DataMember> _
		Public Property WorkItemId() As Guid
			Get
				Return privateWorkItemId
			End Get
			Set(ByVal value As Guid)
				privateWorkItemId = value
			End Set
		End Property

		Private privatePretendToWorkSeconds As Integer
		<DataMember> _
		Public Property PretendToWorkSeconds() As Integer
			Get
				Return privatePretendToWorkSeconds
			End Get
			Set(ByVal value As Integer)
				privatePretendToWorkSeconds = value
			End Set
		End Property
	End Class
End Namespace
