﻿Imports Microsoft.VisualBasic
Imports System.ServiceModel
Imports System.ServiceModel.Channels

Namespace PeerWcfComm
	''' <summary>
	''' MessageFilter class to have a peer ignore locally-created messages.
	''' </summary>
	Public Class RemoteOnlyMessagePropagationFilter
		Inherits PeerMessagePropagationFilter
		Public Sub New()
		End Sub

		Public Overrides Function ShouldMessagePropagate(ByVal message As Message, ByVal origination As PeerMessageOrigination) As PeerMessagePropagation
			Dim destination As PeerMessagePropagation = PeerMessagePropagation.LocalAndRemote

			If origination = PeerMessageOrigination.Local Then
				destination = PeerMessagePropagation.Remote
			End If

			Return destination
		End Function
	End Class
End Namespace
