﻿Imports Microsoft.VisualBasic
Imports System
Imports System.ServiceModel

Namespace PeerWcfComm
	''' <summary>
	''' Definition of message sent during a backup request.
	''' The main purpose is to limit message propagation to
	''' only adjacent (one hop) Worker peers.
	''' </summary>
	<MessageContract> _
	Public Class WorkItemBackupRequest
		<PeerHopCount> _
		Public HopCount As Integer = 1

		<MessageBodyMember> _
		Public Item As WorkItem

		<MessageBodyMember> _
		Public OriginalWorkerId As Guid

		Public BackupRequestTimeStamp As DateTime

		Public RestoreAt As DateTime
	End Class
End Namespace
